# Who am I

> Returns the key's owner, the agency, the key's permissions and the rate limits.

`GET /v1/me`

Returns the key's owner, the agency, the key's permissions and the rate limits. Call it first to check that a key works and what it may do.

**Permissions:** any valid key · **Kind:** read · **Cost:** 1 unit · MCP tool [`whoami`](https://api.bymundi.com/docs/mcp/tools/whoami.md)



## Path parameters

_None._

## Query parameters

_None._

## Response `200`

| Field | Type | Required | Description |
|---|---|---|---|
| `object` | "me" | yes |  |
| `user` | object | yes |  |
| `user.id` | string | yes |  |
| `user.displayName` | string \| null | yes |  |
| `user.email` | string \| null | yes |  |
| `agency` | object | yes |  |
| `agency.id` | string | yes |  |
| `agency.name` | string \| null | yes |  |
| `key` | object | yes |  |
| `key.id` | string | yes |  |
| `key.name` | string | yes |  |
| `key.prefix` | string | yes |  |
| `key.scopes` | string[] | yes |  |
| `key.expiresAt` | string \| null | yes |  |
| `limits` | object | yes |  |
| `limits.perKeyPerMinute` | integer | yes |  |
| `limits.perAgencyPerMinute` | integer | yes |  |

## Errors

Errors are [problem details](https://api.bymundi.com/docs/guides/errors.md). Besides the refusals described above, any call like this one can return:

- [`invalid_request`](https://api.bymundi.com/problems/invalid_request.md) — Invalid request
- [`unauthorized`](https://api.bymundi.com/problems/unauthorized.md) — Missing or invalid API key
- [`insufficient_scope`](https://api.bymundi.com/problems/insufficient_scope.md) — Missing permission
- [`rate_limited`](https://api.bymundi.com/problems/rate_limited.md) — Rate limit reached

## Examples

#### curl

```bash
curl https://api.bymundi.com/v1/me \
  -H "Authorization: Bearer $BYMUNDI_KEY"
```

#### JavaScript

```javascript
const res = await fetch("https://api.bymundi.com/v1/me", {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.BYMUNDI_KEY}`,
  },
});
if (!res.ok) throw new Error((await res.json()).detail);
const data = await res.json();
```

#### Python

```python
import os, uuid, requests

res = requests.get(
    "https://api.bymundi.com/v1/me",
    headers={"Authorization": f"Bearer {os.environ['BYMUNDI_KEY']}"},
)
res.raise_for_status()
data = res.json()
```
